Canalplan Bug Tracker



Anonymous Login
2017-10-23 20:25 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000335Canalplan [All Projects] Bugpublic2017-10-21 15:59
ReporterShultzy 
Assigned ToNick Atty 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000335: Edit place details stopped working correctly
DescriptionThe [The place has facilities for boaters] and the [The place is of a particular type] items are blank if the box is subsequently ticked. If already ticked no item boxes are shown. See [Goole Boathouse Marina] or [Albert Street Marina (north side)]
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001334

Shultzy (updater)

The [Goole Boathouse Marina] is fixed but the [Viking Marina] (formally[Albert Street Marina (north side)]) is still not working.

~0001350

Nick Atty (administrator)

Last edited: 2017-10-21 15:59

View 2 revisions

I should have been suspicious when something fixed itself! The actual bug was that we sometimes had an entirely empty mooring field. When this happened the templating language didn't generate any output, so there was no value to be set, which caused the JavaScript to die before it got round to displaying those selectors!

I've put some generic code in to put a dummy value in when the field is empty, which should fix things.

I suspect that this happened when the place had been edited, and could also be related to the odd mooring messages still appearing in the changelog.

+Notes

-Issue History
Date Modified Username Field Change
2017-10-10 13:31 Shultzy New Issue
2017-10-10 17:52 Stephen Atty Assigned To => Nick Atty
2017-10-10 17:52 Stephen Atty Status new => assigned
2017-10-11 19:57 Shultzy Note Added: 0001334
2017-10-21 15:58 Nick Atty Note Added: 0001350
2017-10-21 15:58 Nick Atty Status assigned => resolved
2017-10-21 15:58 Nick Atty Resolution open => fixed
2017-10-21 15:59 Nick Atty Note Edited: 0001350 View Revisions
+Issue History